From 4508c35a8f1350d6e9602712f9ce79615a894bf1 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Apr 26 2024 18:22:06 +0000
Subject: [PATCH 136/220] Fixes for packaging compliance


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index e8026eb..d30f639 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -47,6 +47,10 @@ URL:            https://github.com/pop-os/cosmic-applibrary
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-app-library-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-app-library-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 5b27962..70fbb4e 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -43,6 +43,10 @@ URL:            https://github.com/pop-os/cosmic-applets
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-applets-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-applets-%{commit}-vendor.tar.xz
 
 Patch: better_compile.patch
@@ -121,6 +125,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %{_datadir}/applications/com.system76.CosmicAppletWorkspaces.desktop
 %{_datadir}/applications/com.system76.CosmicPanelAppButton.desktop
 %{_datadir}/applications/com.system76.CosmicPanelWorkspacesButton.desktop
+%dir %{_datadir}/cosmic/com.system76.CosmicAppList
 %{_datadir}/cosmic/com.system76.CosmicAppList/v1/favorites
 %{_datadir}/cosmic/com.system76.CosmicAppList/v1/filter_top_levels
 %{_datadir}/icons/hicolor/scalable/app/com.system76.CosmicAppletStatusArea.svg
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index a0cc405..38075e8 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -37,6 +37,10 @@ URL:            https://github.com/pop-os/cosmic-bg
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-bg-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-bg-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
@@ -83,6 +87,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %{_datadir}/applications/com.system76.CosmicBackground.desktop
 %{_datadir}/icons/hicolor/scalable/apps/com.system76.CosmicBackground.svg
 %{_datadir}/icons/hicolor/symbolic/apps/com.system76.CosmicBackground-symbolic.svg
+%dir %{_datadir}/cosmic/com.system76.CosmicBackground
 %{_datadir}/cosmic/com.system76.CosmicBackground/*
 %{_metainfodir}/com.system76.CosmicBackground.metainfo.xml
 
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 3c60d53..e94a000 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -48,6 +48,10 @@ URL:            https://github.com/pop-os/cosmic-comp
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-comp-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-comp-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
@@ -98,6 +102,7 @@ install -Dm0644 config.ron %{buildroot}/%{_sysconfdir}/cosmic-comp/config.ron
 %license LICENSE.dependencies
 %license cargo-vendor.txt
 %{_bindir}/cosmic-comp
+%dir %{_sysconfdir}/cosmic-comp
 %config(noreplace) %{_sysconfdir}/cosmic-comp/config.ron
 
 %changelog
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index d501ac4..dd642e3 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -51,6 +51,10 @@ URL:            https://github.com/pop-os/cosmic-edit
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-edit-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-edit-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 45b9542..6304fa3 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -50,6 +50,10 @@ URL:            https://github.com/pop-os/cosmic-files
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-files-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-files-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
@@ -82,8 +86,7 @@ sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 just rootdir=%{buildroot} prefix=%{_prefix} install
 
 %if %{with check}
-# FIXME: --lib test fails currently
-# %%cargo_test
+%cargo_test
 %endif
 
 %files
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 9611e5f..b00654e 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -44,6 +44,10 @@ URL:            https://github.com/pop-os/cosmic-greeter
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-greeter-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-greeter-%{commit}-vendor.tar.xz
 
 Patch:          service.patch
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 833cf9c..06114cc 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -50,6 +50,10 @@ URL:            https://github.com/pop-os/cosmic-launcher
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-launcher-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-launcher-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index e8d29e6..a1595c0 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -45,6 +45,10 @@ URL:            https://github.com/pop-os/cosmic-notifications
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-notifications-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-notifications-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 16f828f..7b323c9 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -48,6 +48,10 @@ URL:            https://github.com/pop-os/cosmic-osd
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-osd-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-osd-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 1dcb300..22085c5 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -42,6 +42,10 @@ URL:            https://github.com/pop-os/cosmic-panel
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-panel-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-panel-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
@@ -83,6 +87,9 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-panel
+%dir %{_datadir}/cosmic/com.system76.CosmicPanel.Dock
+%dir %{_datadir}/cosmic/com.system76.CosmicPanel.Panel
+%dir %{_datadir}/cosmic/com.system76.CosmicPanel
 %{_datadir}/cosmic/com.system76.CosmicPanel.Dock/*
 %{_datadir}/cosmic/com.system76.CosmicPanel.Panel/*
 %{_datadir}/cosmic/com.system76.CosmicPanel/*
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 0fa7422..e32c70f 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -34,6 +34,10 @@ URL:            https://github.com/pop-os/cosmic-randr
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-randr-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-randr-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 0f82db2..4cfdb03 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -38,6 +38,10 @@ URL:            https://github.com/pop-os/cosmic-screenshot
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-screenshot-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-screenshot-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index bd296cc..88d4175 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -42,6 +42,10 @@ URL:            https://github.com/pop-os/cosmic-session
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-session-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-session-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 3eaea56..b9d4b74 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -47,6 +47,10 @@ URL:            https://github.com/pop-os/cosmic-settings-daemon
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-settings-daemon-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-settings-daemon-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index c20fa52..5889951 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -48,6 +48,10 @@ URL:            https://github.com/pop-os/cosmic-settings
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-settings-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-settings-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
@@ -93,10 +97,15 @@ just rootdir=%{buildroot} install
 %{_bindir}/cosmic-settings
 %{_datadir}/applications/com.system76.CosmicSettings.desktop
 %{_metainfodir}/com.system76.CosmicSettings.metainfo.xml
+%dir %{_datadir}/cosmic/com.system76.CosmicTheme.Dark.Builder
 %{_datadir}/cosmic/com.system76.CosmicTheme.Dark.Builder/v1/*
+%dir %{_datadir}/cosmic/com.system76.CosmicTheme.Dark
 %{_datadir}/cosmic/com.system76.CosmicTheme.Dark/v1/*
+%dir %{_datadir}/cosmic/com.system76.CosmicTheme.Light.Builder
 %{_datadir}/cosmic/com.system76.CosmicTheme.Light.Builder/v1/*
+%dir %{_datadir}/cosmic/com.system76.CosmicTheme.Light
 %{_datadir}/cosmic/com.system76.CosmicTheme.Light/v1/*
+%dir %{_datadir}/cosmic/com.system76.CosmicTheme.Mode
 %{_datadir}/cosmic/com.system76.CosmicTheme.Mode/v1/*
 %{_datadir}/icons/hicolor/scalable/status/illustration-appearance-dark-style-round.svg
 %{_datadir}/icons/hicolor/scalable/status/illustration-appearance-dark-style-slightly-round.svg
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index c7da7bd..f57ba76 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -46,6 +46,10 @@ URL:            https://github.com/pop-os/cosmic-store
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-store-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-store-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index beedce7..cfaa46e 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -50,6 +50,10 @@ URL:            https://github.com/pop-os/cosmic-term
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-term-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-term-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 772d8e6..535eef6 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -48,6 +48,10 @@ URL:            https://github.com/pop-os/cosmic-workspaces-epoch
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-workspaces-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         cosmic-workspaces-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 504e745..5dd19b2 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -43,6 +43,10 @@ URL:            https://github.com/pop-os/launcher
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         pop-launcher-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         pop-launcher-%{commit}-vendor.tar.xz
 
 Patch:          symlink.patch
@@ -69,7 +73,6 @@ Requires:       fd-find
 cat .vendor/config.toml >> .cargo/config
 
 %build
-# %%cargo_build
 just build-release --offline --frozen
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
@@ -88,9 +91,10 @@ just rootdir=%{buildroot} install
 %license LICENSE
 %license plugins/COPYING
 %license LICENSE.dependencies
-# %% license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/pop-launcher
+%dir %{_prefix}/lib/pop-launcher
 %{_prefix}/lib/pop-launcher/*
 
 %changelog
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index c818ba0..f50a3ae 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -48,6 +48,10 @@ URL:            https://github.com/pop-os/xdg-desktop-portal-cosmic
 #     the tar out of the repo directory
 # * tar -pcJf $name-$commit.tar.xz
 Source:         xdg-desktop-portal-cosmic-%{commit}.tar.xz
+# To create the vendor tarball:
+# * git clone the repository
+# * cargo vendor
+# * tar -pcJf $name-$commit-vendor.tar.xz
 Source:         xdg-desktop-portal-cosmic-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26

